Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update draft

PATCH/workspaces/{organizationId}/drafts/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
payloadobjectrequired
Responses
200

Draft payload updated

idstringrequired
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
issueIdstring | nullrequired
kindstringrequired
Allowed:commentfield_changemessage
payloadobjectrequired
statusstringrequired
Allowed:pendingpublisheddiscarded
createdByIdstring | nullrequired
sessionIdstring | nullrequired
reviewedByIdstring | nullrequired
reviewedAtstring | nullrequired
reviewNotestring | nullrequired
publishedCommentIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/drafts/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "payload": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "entityType": "string",
  "entityId": "string",
  "issueId": "string",
  "kind": "comment",
  "payload": {
    "property1": null,
    "property2": null
  },
  "status": "pending",
  "createdById": "string",
  "sessionId": "string",
  "reviewedById": "string",
  "reviewedAt": "string",
  "reviewNote": "string",
  "publishedCommentId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?